## aacplusenc 0.17.5

=== Makefile ===
include config.mak
TOPDIR=$(CURDIR)
export CFLAGS=-Wall -pedantic -O3 -ftree-vectorize -I$(TOPDIR)/libaacenc -I$(TOPDIR)/libbitbuf -I$(TOPDIR)/libfr -I$(TOPDIR)/libsbrenc -I$(TOPDIR)/libresamp $(EXTRACFLAGS)
SUBDIRS=libaacenc libbitbuf libfr libsbrenc libresamp
LIBS=libaacenc/libaacenc.a libbitbuf/libbitbuf.a libfr/libfr.a libsbrenc/libsbrenc.a libresamp/libresamp.a
TARGET=aacplusenc

LDFLAGS=-lm
LDFLAGS+=-L$(TOPDIR)/libaacenc -L$(TOPDIR)/libbitbuf -L$(TOPDIR)/libfr -L$(TOPDIR)/libsbrenc -L$(TOPDIR)/libresamp
LDFLAGS+=-laacenc -lbitbuf -lfr -lsbrenc -lresamp

ifdef FFTW3
	LDFLAGS+=-lfftw3f
endif


INSTDIR=/usr/local

%.a:
	$(MAKE) -C $$(dirname $*)

all: config.h $(TARGET)

$(TARGET): $(LIBS) au_channel.h adts.h aacplusenc.c
	for i in $(LIBS) ; do \
		$(MAKE) $$i ;\
	done
	$(CC) $(CFLAGS) -o $(TARGET) aacplusenc.c $(LDFLAGS)

.PHONY: clean test
clean:
	rm -f $(ofiles) $(TARGET) config.* test-*
	for i in $(SUBDIRS) ; do \
		$(MAKE) -C $$i clean ;\
	done

install: all
	mkdir -p $(INSTDIR)/bin
	cp aacplusenc $(INSTDIR)/bin
	strip -s -R.comment $(INSTDIR)/bin/aacplusenc

MONO:=pan=1:0.5:0.5:channels=1
MPLAYER:=mplayer -msglevel all=0:statusline=5
AO:=-ao pcm:fast:file

test: all
	$(MPLAYER) -af lavcresample=32000:$(MONO) $(AO)=test32m.wav test.wav
	$(MPLAYER) -af lavcresample=44100:$(MONO) $(AO)=test44m.wav test.wav
	$(MPLAYER) -af lavcresample=48000:$(MONO) $(AO)=test48m.wav test.wav

	$(MPLAYER) -af lavcresample=32000 $(AO)=test32s.wav test.wav
	$(MPLAYER) -af lavcresample=44100 $(AO)=test44s.wav test.wav
	$(MPLAYER) -af lavcresample=48000 $(AO)=test48s.wav test.wav

	./aacplusenc test32m.wav test32m.aac 18
	./aacplusenc test44m.wav test44m.aac 40
	./aacplusenc test48m.wav test48m.aac 40

	./aacplusenc test32s.wav test32s.aac 18
	./aacplusenc test44s.wav test44s.aac 48
	./aacplusenc test48s.wav test48s.aac 48

	$(MPLAYER) test32m.aac
	$(MPLAYER) test44m.aac
	$(MPLAYER) test48m.aac

	$(MPLAYER) test32s.aac
	$(MPLAYER) test44s.aac
	$(MPLAYER) test48s.aac

config.mak:
	./configure

=== libaacenc/Makefile ===
####################################################################
#
# Makefile for aac encoder - library
#
####################################################################
################## user section: insert objlist here #######
LIB = libaacenc.a

SRCS=$(wildcard *.c)

OBJS = $(SRCS:.c=.o)

$(LIB): $(OBJS)
	ar r $@ $(OBJS)

all: $(LIB)

clean:
	rm -f $(OBJS) $(LIB)

=== libbitbuf/Makefile ===
####################################################################
#
# Makefile for bit buffer management library
# $Id: Makefile,v 1.2.4.1 2004/02/03 17:40:04 ehr Exp $
#
####################################################################
################## user section: insert objlist here #######
LIB=libbitbuf.a

SRCS=$(wildcard *.c)

OBJS = $(SRCS:.c=.o)

$(LIB): $(OBJS)
	ar r $@ $(OBJS)

all: $(LIB)

clean:
	rm -f $(OBJS) $(LIB)

=== libfr/Makefile ===
####################################################################
#
# Makefile for fractional arithmetic library
# $Id: Makefile,v 1.7.2.3 2004/12/22 09:04:53 ehr Exp $
#
####################################################################
################## user section: insert objlist here #######
LIB=libfr.a

SRCS=$(wildcard *.c)

OBJS = $(SRCS:.c=.o)

$(LIB): $(OBJS)
	ar r $(LIB) $(OBJS)

all: $(LIB)

clean:
	rm -f $(OBJS) $(LIB)

=== libresamp/Makefile ===
####################################################################
#
# Makefile for bit buffer management library
# $Id: Makefile,v 1.2.4.1 2004/02/03 17:40:04 ehr Exp $
#
####################################################################
################## user section: insert objlist here #######
LIB=libresamp.a

SRCS=$(wildcard *.c)

OBJS = $(SRCS:.c=.o)

$(LIB): $(OBJS)
	ar r $@ $(OBJS)

all: $(LIB)

clean:
	rm -f $(OBJS) $(LIB)

=== libsbrenc/Makefile ===
####################################################################
#
# Makefile for SBR encoder - library
#
####################################################################
################## user section: insert objlist here #######
LIB=libsbrenc.a

SRCS=$(wildcard *.c)

OBJS = $(SRCS:.c=.o)

$(LIB): $(OBJS)
	ar r $@ $(OBJS)

all: $(LIB)

clean:
	rm -f $(OBJS) $(LIB)

=== debian/changelog ===
aacplusenc (0.17.5) maverick; urgency=low

  * Small fixes
  * Maverick upload

 -- Matteo Croce <matteo@raver>  Sun, 07 Nov 2010 18:51:25 +0100

aacplusenc (0.17.4) jaunty; urgency=low

  * Fix ppc encoding
  * Jaunty upload

 -- Matteo Croce <rootkit85@yahoo.it>  Mon, 18 May 2009 18:08:17 +0200

aacplusenc (0.17.3) intrepid; urgency=low

  * Fix possibly corrupted ADTS header
  * Intrepid upload

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 29 Oct 2008 23:50:12 +0100

aacplusenc (0.17.2) intrepid; urgency=low

  * Intrepid upload

 -- Matteo Croce <rootkit85@yahoo.it>  Sat, 13 Sep 2008 01:22:11 +0200

aacplusenc (0.17.1) hardy; urgency=low

  * Updated homepage URL

 -- Matteo Croce <rootkit85@yahoo.it>  Thu, 17 Jul 2008 16:44:46 +0200

aacplusenc (0.17) hardy; urgency=high

  * Fixed 64 bit encoding

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 04 Jun 2008 00:42:44 +0200

aacplusenc (0.16.3) hardy; urgency=low

  * Fix type in au_channel.h

 -- Matteo Croce <rootkit85@yahoo.it>  Sun, 17 Feb 2008 15:55:51 +0100

aacplusenc (0.16.2) hardy; urgency=low

  * Added compile time checks for endiannes and FFTW3

 -- Matteo Croce <rootkit85@yahoo.it>  Thu, 14 Feb 2008 16:32:42 +0100

aacplusenc (0.16.1) hardy; urgency=low

  * Fix BSD build

 -- Matteo Croce <rootkit85@yahoo.it>  Tue, 12 Feb 2008 17:39:16 +0100

aacplusenc (0.16) hardy; urgency=low

  * Added support for bitrate up to 64 and 63 kbit for 44.1 and 48 kHz

 -- Matteo Croce <rootkit85@yahoo.it>  Thu, 31 Jan 2008 18:48:17 +0100

aacplusenc (0.15) hardy; urgency=low

  * Full 64 bit support

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 23 Jan 2008 20:14:58 +0100

aacplusenc (0.14.2) hardy; urgency=low

  * Rebuild ubuntu package with sane dpkg-deb arguments

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 23 Jan 2008 16:01:31 +0100

aacplusenc (0.14.1) hardy; urgency=low

  * Fix endiannes under BSD

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 23 Jan 2008 01:20:42 +0100

aacplusenc (0.14) hardy; urgency=low

  * Small speedup (~9%)
  * Better packaging

 -- Matteo Croce <rootkit85@yahoo.it>  Tue, 22 Jan 2008 03:26:28 +0100

aacplusenc (0.13.2) hardy; urgency=low

  * Fix manpage path

 -- Matteo Croce <rootkit85@yahoo.it>  Sun, 20 Jan 2008 04:18:55 +0100

aacplusenc (0.13.1-1~gutsy1) gutsy; urgency=low

  * Gutsy upload

 -- Matteo Croce <rootkit85@yahoo.it>  Sun, 20 Jan 2008 00:15:31 +0100

aacplusenc (0.13.1) hardy; urgency=low

  * Added changelog

 -- Matteo Croce <rootkit85@yahoo.it>  Sat, 19 Jan 2008 23:56:44 +0100

aacplusenc (0.13) gutsy; urgency=low

  * All channels/samplerates/bitrates combinations works now
  * A 64 bit build can encode a mono track, or an high bitrate one (> 44kbit)

 -- Matteo Croce <rootkit85@yahoo.it>  Tue, 15 Jan 2008 01:23:42 +0100

aacplusenc (0.12.1) gutsy; urgency=low

  * Fix Win32 build

 -- Matteo Croce <rootkit85@yahoo.it>  Mon, 17 Dec 2007 17:36:39 +0100

aacplusenc (0.12) gutsy; urgency=low

  * Fixed encodings higher tha 44 kbit/s

 -- Matteo Croce <rootkit85@yahoo.it>  Thu, 06 Dec 2007 02:16:07 +0100

aacplusenc (0.11) gutsy; urgency=low

  * Enable 64 bit builds, but only for mono encodings

 -- Matteo Croce <rootkit85@yahoo.it>  Tue, 04 Dec 2007 17:53:59 +0100

aacplusenc (0.10) gutsy; urgency=low

  * Good speed increase (25-33%) against older version
  * Keep legacy builtin FFT, enable it with the NOFFTW3 make flag

 -- Matteo Croce <rootkit85@yahoo.it>  Sat, 01 Dec 2007 18:10:30 +0100

aacplusenc (0.9) gutsy; urgency=low

  * Trashed the builtin FFT and used the GPL one FFTW3 which is faster

 -- Matteo Croce <rootkit85@yahoo.it>  Fri, 30 Nov 2007 02:16:58 +0100

aacplusenc (0.8) gutsy; urgency=low

  * removed the last m/s parameter. Stereo or mono encoding
    is done according to source number of channels
  * now the target bitrate is expressed in kbit, not bits

 -- Matteo Croce <rootkit85@yahoo.it>  Tue, 20 Nov 2007 18:35:37 +0100

aacplusenc (0.7) gutsy; urgency=low

  * Adding safety code to avoid encoder runtime-assertion

 -- Matteo Croce <rootkit85@yahoo.it>  Fri, 19 Oct 2007 02:09:05 +0200

aacplusenc (0.6) feisty; urgency=low

  * fixed percentage display
  * copied missing b2l macro from old libaudio/au_channel.h
  * removed unneeded libaudio and fixed CFLAGS, one -ftree-vectorize should be
    enough in Makefile

 -- Bernhard Geier <bernhard.geier@gmx.de>  Thu, 19 Apr 2007 23:38:24 +0200

aacplusenc (0.5) feisty; urgency=low

  * Ported the I/O read/write to fread/fwrite
  * Reduced I/O calls, it encodes much faster now
  * Removed unused au_channel functions
  * Added percent indicator, needed to use aacplusenc as backend

 -- Matteo Croce <rootkit85@yahoo.it>  Mon, 19 Mar 2007 17:40:13 +0100

aacplusenc (0.4) unstable; urgency=low

  * New bitrate tables from 3gpp.org

 -- Matteo Croce <rootkit85@yahoo.it>  Thu, 14 Dec 2006 00:26:01 +0100

mp4tools (0.3) unstable; urgency=low

  * Removed libisomediafile, now aacplusenc saves raw ADTS streams
  * Removed unused downsampling library
  * Now encoding parameters are taken from the WAV header

 -- Matteo Croce <rootkit85@yahoo.it>  Wed,  7 Jun 2006 20:28:35 +0200

mp4tools (0.2) unstable; urgency=low

  * Replaced real's encoder with an opensource, better one

 -- Matteo Croce <rootkit85@yahoo.it>  Tue,  6 Jun 2006 18:44:48 +0200

mp4tools (0.1) unstable; urgency=low

  * Initial release

 -- Matteo Croce <rootkit85@yahoo.it>  Tue, 23 May 2006 15:02:07 +0200

=== debian/control ===
Source: aacplusenc
Build-Depends: debhelper, fftw3-dev
Section: sound
Priority: optional
Standards-Version: 3.7.3
Homepage: http://teknoraver.net/software/mp4tools/
Maintainer: Matteo Croce <rootkit85@yahoo.it>

Package: aacplusenc
Architecture: any
Section: sound
Priority: optional
Depends: ${shlibs:Depends}
Description: High-Efficency AAC (AAC+) Encoder

=== debian/rules ===
#!/usr/bin/make -f

version := $(shell awk '/Package/{print$$2}' debian/control)

build:
	$(MAKE) -j$(shell grep -c ^processor /proc/cpuinfo)

binary: binary-arch

binary-arch: build install

binary-indep:

install: build
	$(MAKE) INSTDIR=$(CURDIR)/debian/${version}/usr install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installman aacplusenc.1
	dh_strip
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_compress
	dh_builddeb -- -Zbzip2

clean:
	$(MAKE) clean
	dh_clean
